For the complete documentation index, see llms.txt. This page is also available as Markdown.

Edit collection (editcollections)

Create a new style guide collection.

Request

Use the shared HTTP API endpoint and request formats.

See HTTP API Overview.

Parameters

Parameter
Type
Required
Default
Notes

cmd

string

Yes

style_guide

Command name.

action

string

Yes

editcollection

Action name.

collection

string

Yes

The name of an existing collection to be edited.

new_collection

string

Yes

A new name of the collection to be created.

lang

string

No

common

Language scope of existing collection to be edited (example: en_US or en).

new_lang

string

No

common

Language scope of a new collection to be created in (example: en_US or en).

Behavior

  • Edits an existing collection in the target lang scope.

  • Returns the edited collection info in result.

Response

Single result object containing edited collection with it's category and lang .

See Response schema.

Errors

See

Examples

1) Rename collection

lang and new_lang remain the same, while collection and new_collection differ.

Request URL (on-premises)
Request URL (Cloud)
Request CURL (on-premises)
Request CURL (Cloud)

Response

2) Change collection language

collection and new_collection remain the same, while lang and new_lang differ.

Request URL (on-premises)
Request URL (Cloud)
Request CURL (on-premises)
Request CURL (Cloud)

Response

3) Change collection language and rename

Request URL (on-premises)
Request URL (Cloud)
Request CURL (on-premises)
Request CURL (Cloud)

Response

Last updated

Was this helpful?